
#ifndef CAIRO_FASTMALLOC_H_
#define CAIRO_FASTMALLOC_H_

#ifndef CAIRO_USE_FAST_MALLOC
#define CAIRO_USE_FAST_MALLOC 0
#endif

#if CAIRO_USE_FAST_MALLOC

#include <stdlib.h>

extern void* webkit_malloc(size_t n);
extern void* webkit_realloc(void *oldPtr, size_t size);
extern void* webkit_calloc(size_t n, size_t elem_size);
extern char* webkit_strdup(const char* src);
extern void webkit_free(void *p);

#define malloc(n) webkit_malloc(n)
#define realloc(oldPtr, size) webkit_realloc(oldPtr, size)
#define calloc(n, elem_size) webkit_calloc(n, elem_size)
#define strdup(src) webkit_strdup(src)
#define free(p) webkit_free(p)

#endif


#endif /* CAIRO_FASTMALLOC_H_ */
